OffHeapByteVectorValues.DenseOffHeapVectorValues (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.codecs.lucene95, class: OffHeapByteVectorValues, class: DenseOffHeapVectorValues

Package org.apache.lucene.codecs.lucene95

# Class OffHeapByteVectorValues.DenseOffHeapVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.codecs.lucene95.OffHeapByteVectorValues
org.apache.lucene.codecs.lucene95.OffHeapByteVectorValues.DenseOffHeapVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Enclosing class:
  `OffHeapByteVectorValues`

public static class OffHeapByteVectorValues.DenseOffHeapVectorValues extends OffHeapByteVectorValues
Dense vector values that are stored off-heap. This is the most common case when every doc has a vector.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.codecs.lucene95.OffHeapByteVectorValues

  `OffHeapByteVectorValues.DenseOffHeapVectorValues`

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.codecs.lucene95.OffHeapByteVectorValues

  `binaryValue, byteBuffer, byteSize, dimension, flatVectorsScorer, lastOrd, similarityFunction, size, slice`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction vectorSimilarityFunction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OffHeapByteVectorValues.DenseOffHeapVectorValues`
  `copy()`
  Creates a new copy of this `KnnVectorValues`.
  `Bits`
  `getAcceptOrds(Bits acceptDocs)`
  Returns a Bits accepting docs accepted by the argument and having a vector value
  `KnnVectorValues.DocIndexIterator`
  `iterator()`
  Create an iterator for this instance.
  `VectorScorer`
  `scorer(byte[] query)`
  Return a `VectorScorer` for the given query vector.

  ### Methods inherited from class org.apache.lucene.codecs.lucene95.OffHeapByteVectorValues

  `dimension, getSlice, load, prefetch, size, vectorValue`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, rescorer`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, getVectorByteLength, ordToDoc`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DenseOffHeapVectorValues

    public DenseOffHeapVectorValues(int dimension, int size, IndexInput slice, int byteSize, FlatVectorsScorer flatVectorsScorer, VectorSimilarityFunction vectorSimilarityFunction)

- ## Method Details

  - ### copy

    public OffHeapByteVectorValues.DenseOffHeapVectorValues copy() throws IOException
    Description copied from class: `KnnVectorValues`
    Creates a new copy of this `KnnVectorValues`. This is helpful when you need to access different values at once, to avoid overwriting the underlying vector returned.
    Specified by:
      `copy` in class `ByteVectorValues`
    Throws:
      `IOException`

  - ### iterator

    public KnnVectorValues.DocIndexIterator iterator()
    Description copied from class: `KnnVectorValues`
    Create an iterator for this instance.
    Overrides:
      `iterator` in class `KnnVectorValues`

  - ### getAcceptOrds

    public Bits getAcceptOrds(Bits acceptDocs)
    Description copied from class: `KnnVectorValues`
    Returns a Bits accepting docs accepted by the argument and having a vector value
    Overrides:
      `getAcceptOrds` in class `KnnVectorValues`

  - ### scorer

    public VectorScorer scorer(byte[] query) throws IOException
    Description copied from class: `ByteVectorValues`
    Return a `VectorScorer` for the given query vector. When the underlying format quantizes the vectors, this will return a `VectorScorer` that scores against the quantized vectors.
    Overrides:
      `scorer` in class `ByteVectorValues`
    Parameters:
      `query` - the query vector
    Returns:
      a `VectorScorer` instance or null
    Throws:
      `IOException`